aegis -Change_Directory(1)

NAME
aegis -Change_Directory - change directory

SYNOPSIS
aegis -Change_Directory [ option... ][ relative-path ]
aegis -Change_Directory -List [ option... ]
aegis -Change_Directory -Help

DESCRIPTION
The aegis -Change_Directory command is used to obtain a path to change directory to. If the relative-path is supplied, this will be added to the output.

This command is usually used to calculate an argument for cd(1), however it can also be used to obtain an absolute path for change and project files.

OPTIONS
The following options are understood:

-BaseLine
    This option may be used to specify that the project baseline is the subject of the command.

-BRanch number
    This option may be used to specify a different branch for the origin file, rather than the baseline. (See also -TRunk option. Please Note: the -BRanch option does not take a project name, just the branch number suffix.

-GrandParent
    This option may be used to specify the grandparent branch (one up from the current branch) for the origin file, rather than the baseline. (The -grandparent option is the same as the “-branch ..” option.)

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-Development_Directory
    This option is used to specify that the development directory is the subject of the command. This is only useful for a change which is in the being integrated state, when the default is the integration directory.

-Help
    This option may be used to obtain more information about how to use the aegis program.

-List
    This option may be used to obtain a list of suitable subjects for this command. The list may be more general than expected.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-TERse
    This option may be used to cause listings to produce the bare minimum of information. It is usually useful for shell scripts.

-TRunk
    This option may be used to specify the project trunk for the origin file, rather than the baseline. (See also -BRanch option, the -trunk option is the same as the “-branch -” option.)

-Verbose
    This option may be used to cause aegis to produce more output. By default aegis only produces output on errors. When used with the -List option this option causes column headings to be added.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aegis are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

RECOMMENDED ALIAS
The recommended alias for this command is
csh%	alias aecd 'cd `aegis -cd \!* -v`'
sh$	aecd(){cd `aegis -cd "$@" -v`}

ERRORS
It is an error if the specified change is not in a state where it has a directory to change to.

EXIT STATUS
The aegis command will exit with a status of 1 on any error. The aegis command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

aedb(1)
    begin development of a change

aeib(1)
    begin integration of a change

aerpass(1)
    pass review of a change

aerfail(1)
    fail review of a change

aeuconf(5)
    user configuration file format

COPYRIGHT
aegis version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aegis program comes with ABSOLUTELY NO WARRANTY; for details use the 'aegis -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aegis -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/